Loading...
Searching...
No Matches
elastix::DefaultConstruct< TObject > Class Template Reference

`#include <elxDefaultConstruct.h>`

## Detailed Description

template<typename TObject>
class elastix::DefaultConstruct< TObject >

Allows default-constructing an itk::LightObject derived object without calling New(). May improve the runtime performance, by avoiding heap allocation and pointer indirection.

Follows C++ Core Guidelines, September 23, 2022, "Prefer scoped objects, don't heap-allocate unnecessarily", from http://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#Rr-scoped

Note
  While New() may use a factory (itk::ObjectFactory) to create the object, DefaultConstruct just default-constructs the object.

Definition at line 35 of file elxDefaultConstruct.h.

Inheritance diagram for elastix::DefaultConstruct< TObject >:
[legend]

## Public Member Functions

| DefaultConstruct ()=default
| ITK_DISALLOW_COPY_AND_MOVE (DefaultConstruct)
| ~DefaultConstruct () override

## Constructor & Destructor Documentation

## DefaultConstruct()

template<typename TObject>

elastix::DefaultConstruct< TObject >::DefaultConstruct | ( |  | ) |

default

Public default-constructor. Just calls the (typically protected) default-constructor of TObject.

## ~DefaultConstruct()

template<typename TObject>

elastix::DefaultConstruct< TObject >::~DefaultConstruct | ( |  | ) |

inline override

Public destructor. Just calls the (typically protected) destructor of TObject.

Definition at line 44 of file elxDefaultConstruct.h.

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename TObject>

elastix::DefaultConstruct< TObject >::ITK_DISALLOW_COPY_AND_MOVE | ( | DefaultConstruct< TObject > |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |